Delete a webhook
Deletes a webhook for the authenticated customer.
Path Parameters
id*string
Format
uuidHeader Parameters
x-profile-id?string
Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://api.sent.dm/v3/webhooks/d4f5a6b7-c8d9-4e0f-a1b2-c3d4e5f6a7b8"Empty
{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_001",
"message": "Invalid webhook ID format.",
"details": null,
"doc_url": "https://docs.sent.dm/errors/VALIDATION_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6605023+00:00",
"version": "v3"
}
}Empty
Empty
{
"success": false,
"data": null,
"error": {
"code": "RESOURCE_008",
"message": "Webhook not found",
"details": null,
"doc_url": "https://docs.sent.dm/errors/RESOURCE_008"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6605049+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_001",
"message": "An unexpected error occurred while deleting the webhook",
"details": null,
"doc_url": "https://docs.sent.dm/errors/INTERNAL_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.6605055+00:00",
"version": "v3"
}
}